<h1 >Welcome Creator</h1>
<div class="container">
  <form [formGroup]="quizform" (ngSubmit)="onSubmit()" class="well">

  <div class="form-group">
    <label>Title</label>
    <input type="text" name="title" formControlName="titleName" class="form-control" required>
  </div>

  <div class="form-group">
    <label>Description</label>
    <textarea name="desc"  formControlName="description" class="form-control" required></textarea>
  </div>


  <p>Add your Questions below you need to add correct answer for proper evaluation</p>
  <div formArrayName="questionarray"
  *ngFor="let item of quizform.get('questionarray')['controls']; let i = index;" class="form-group">
  <div [formGroupName]="i" class="form-group">
    <input formControlName="question" placeholder="Question" class="form-control" required>
    <br>
    <input formControlName="option1" placeholder="option 1" class="form-control" required>
    <br>
    <input formControlName="option2" placeholder="option 2" class="form-control" required>
    <br>
    <input formControlName="option3" placeholder="option 3" class="form-control" required>
    <br>
    <input formControlName="option4" placeholder="option 4" class="form-control" required>
    <br>
    <input formControlName="correctoption" placeholder="correctoption" class="form-control" required>
    <!-- <button class="btn btn-danger" type="button" (click)="removeItem(i)">Remove</button> -->
  </div>
</div>
  <div class="form-group">
    <button class="btn btn-primary" type="button" (click)="addQuestion()">Add</button>
  </div>
  <br>
  <div class="form-group">
    <label>Enter course description</label>
    <input type="text" name="link" formControlName="text" class="form-control">
  </div>
  <div class="form-group">
    <label>Link to Videos</label>
    <input type="text" name="link" formControlName="url" class="form-control">
  </div>

  <div class="form-group">
    <button type="submit" class="btn btn-success" [disabled]="!quizform.valid">Submit</button>
  </div>

</form>
</div>
